<?php

namespace June\Core\Content\JuneFlowAction;

use Shopware\Core\Framework\DataAbstractionLayer\Entity;
use Shopware\Core\Framework\DataAbstractionLayer\EntityCustomFieldsTrait;
use Shopware\Core\Framework\DataAbstractionLayer\EntityIdTrait;

class JuneFlowActionEntity extends Entity
{
    use EntityIdTrait;
    use EntityCustomFieldsTrait;

    /**
     * @var mixed
     */
    protected $id;

    /**
     * @var mixed
     */
    protected $collect_token;

    /**
     * @var mixed
     */
    protected $name;

    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    public function setId($id): void
    {
        $this->id = $id;
    }

    /**
     * @return mixed
     */
    public function getCollectToken()
    {
        return $this->collect_token;
    }

    public function setCollectToken(string $collecttoken)
    {
        $this->collect_token = $collecttoken;
    }

    /**
     * @return mixed
     */
    public function getName()
    {
        return $this->name;
    }

    public function setName($name): void
    {
        $this->name = $name;
    }
}
