<?php

namespace June\Core\Content\JunePage;

use Shopware\Core\Framework\DataAbstractionLayer\Entity;
use Shopware\Core\Framework\DataAbstractionLayer\EntityCustomFieldsTrait;
use Shopware\Core\Framework\DataAbstractionLayer\EntityIdTrait;

class JunePageEntity extends Entity
{
    use EntityIdTrait;
    use EntityCustomFieldsTrait;

    /**
     * @var mixed
     */
    protected $id;

    /**
     * @var mixed
     */
    protected $sitemapid;

    /**
     * @var mixed
     */
    protected $sitemapnodename;

    /**
     * @var mixed
     */
    protected $sitemapnodeid;

    /**
     * @var mixed
     */
    protected $html;

    /**
     * @mixed
     */
    protected $css;

    /**
     * @string
     */
    protected $js;


    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    public function setId($id): void
    {
        $this->id = $id;
    }

    /**
     * @return mixed
     */
    public function getSitemapId()
    {
        return $this->sitemapid;
    }

    public function setSitemapId(string $id)
    {
        $this->sitemapid = $id;
    }

    /**
     * @return mixed
     */
    public function getSitemapNodeName()
    {
        return $this->sitemapnodename;
    }

    public function setSitemapNodeName(string $name)
    {
        $this->sitemapnodename = $name;
    }

    /**
     * @return mixed
     */
    public function getSitemapNodeId()
    {
        return $this->sitemapnodeid;
    }

    public function setSitemapNodeId(string $id)
    {
        $this->sitemapnodeid = $id;
    }

    /**
     * @return mixed
     */
    public function getHtml()
    {
        return $this->html;
    }

    public function setHtml($html)
    {
        $this->html = $html;
    }

    /**
     * @return mixed
     */
    public function getCss()
    {
        return $this->css;
    }

    public function setCss($css): void
    {
        $this->css = $css;
    }

    /**
     * @return mixed
     */
    public function getJs(): string
    {
        return $this->js;
    }

    public function setJs($js): void
    {
        $this->js = $js;
    }
}
