<?php declare(strict_types=1);

namespace June\Core\Content\JuneFlowAction;

use June\Core\Content\JuneFlowAction\JuneFlowActionEntity;
use Shopware\Core\Framework\DataAbstractionLayer\EntityCollection;

/**
 * @method void               add(JuneFlowActionEntity $entity)
 * @method void               set(string $key, JuneFlowActionEntity $entity)
 * @method JuneFlowActionEntity[]    getIterator()
 * @method JuneFlowActionEntity[]    getElements()
 * @method JuneFlowActionEntity|null get(string $key)
 * @method JuneFlowActionEntity|null first()
 * @method JuneFlowActionEntity|null last()
 */
class JuneFlowActionCollection extends EntityCollection
{
    protected function getExpectedClass(): string
    {
        return JuneFlowActionEntity::class;
    }
}
