<?php declare(strict_types=1);

namespace June\Core\Content\JunePage;

use Shopware\Core\Framework\DataAbstractionLayer\EntityCollection;

/**
 * @method void               add(JunePageEntity $entity)
 * @method void               set(string $key, JunePageEntity $entity)
 * @method JunePageEntity[]    getIterator()
 * @method JunePageEntity[]    getElements()
 * @method JunePageEntity|null get(string $key)
 * @method JunePageEntity|null first()
 * @method JunePageEntity|null last()
 */
class JunePageCollection extends EntityCollection
{
    protected function getExpectedClass(): string
    {
        return JunePageEntity::class;
    }
}
