import "./components";
import "./preview";

Shopware.Service('cmsService').registerCmsBlock({
    name: 'june-page',
    label: 'JUNE Page Blocks',
    category: 'june-pages',
    component: 'june-cms-block-page',
    previewComponent: 'june-page-preview-page',
    defaultConfig: {
        marginBottom: '0px',
        marginTop: '0px',
        marginLeft: '0px',
        marginRight: '0px',
        sizingMode: 'boxed'
    },
    slots: {
        'page_content': {
            type: 'june-page-select',
            default: {
                config: {
                    junePage: { source: 'static', value: null }
                }
            }
        }
    }
});
